Subject: bug#22148: 25.1.50; Segmentation fault when saving file

From: Sujith Manoharan <[email-masked]>
Date: Fri, 18 Dec 2015 07:31:57 +0530

Sorry for the delay, I did not get any email from debbugs for
new messages in the bug. I checked the spam folder too.

> Is it possible for you to send that .org file (off-list), so I could
> try debugging this on my system?

It's this file: http://msujith.net/dir/unravel.org

> We'd appreciate if you could switch to tracking the emacs-25 branch
> instead.

I've done that - and there doesn't seem to be any crash now.
Will update if any crash happens.

> > Program received signal SIGSEGV, Segmentation fault.
> > 0x000000000047c38b in encode_char (charset=charset@entry=0xb2fd88 <charset_table_init+16072>, c=c@entry=173) at charset.c:1760
> > 1760              code_index = GET_TEMP_CHARSET_WORK_ENCODER (c);
> 
> What are the values of the following variables:
> 
>   temp_charset_work
>   temp_charset_work->table
>   temp_charset_work->table.encoder
> 
> Also, is it possible to reproduce this in an unoptimized build?

I'll run the master branch and see if I can reproduce this
again and check the values of the charset variables.

> > (gdb) bt
> > #0  0x000000000047c38b in encode_char (charset=charset@entry=0xb2fd88 <charset_table_init+16072>, c=c@entry=173) at charset.c:1760
> > #1  0x000000000048772b in char_encodable_p (c=c@entry=173, attrs=<optimized out>) at coding.c:8941
> > #2  0x0000000000490088 in Ffind_coding_systems_region_internal (start=6, end=<optimized out>, exclude=<optimized out>) at coding.c:9039
> 
> Do you have any idea where in that file is that character whose
> codepoint is 173?  Seems like it could be at buffer position 6 or near
> that.  If that's true, can you tell what character is there?

It is a normal character ('E'), nothing special.

Thanks for looking into this issue.